org.deidentifier.arx.gui.view.impl.common

## Class DelayedChangeListener

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.DelayedChangeListener

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.swt.events.KeyListener, org.eclipse.swt.events.ModifyListener, org.eclipse.swt.events.SelectionListener, org.eclipse.swt.internal.SWTEventListener, org.eclipse.swt.widgets.Listener

    public abstract class DelayedChangeListener
    extends java.lang.Object
    implements org.eclipse.swt.events.SelectionListener, org.eclipse.swt.events.ModifyListener, org.eclipse.swt.events.KeyListener, org.eclipse.swt.widgets.Listener

A listener that acts as a selection listener and a modify listener which defers change events for a given amount of time

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`DelayedChangeListener(long delay)` Delay in milliseconds

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `delayedEvent()` Implement this
`void` `handleEvent(org.eclipse.swt.widgets.Event arg0)`
`void` `keyPressed(org.eclipse.swt.events.KeyEvent arg0)`
`void` `keyReleased(org.eclipse.swt.events.KeyEvent arg0)`
`void` `modifyText(org.eclipse.swt.events.ModifyEvent arg0)`
`void` `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent arg0)`
`void` `widgetSelected(org.eclipse.swt.events.SelectionEvent arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelayedChangeListener

    public DelayedChangeListener(long delay)

Delay in milliseconds

Parameters:
  `delay` -

### Method Detail

#### delayedEvent

    public abstract void delayedEvent()

Implement this

Parameters:
  `arg0` -

#### handleEvent

    public void handleEvent(org.eclipse.swt.widgets.Event arg0)

Specified by:
  `handleEvent` in interface `org.eclipse.swt.widgets.Listener`

#### keyReleased

    public void keyReleased(org.eclipse.swt.events.KeyEvent arg0)

Specified by:
  `keyReleased` in interface `org.eclipse.swt.events.KeyListener`

#### keyPressed

    public void keyPressed(org.eclipse.swt.events.KeyEvent arg0)

Specified by:
  `keyPressed` in interface `org.eclipse.swt.events.KeyListener`

#### modifyText

    public void modifyText(org.eclipse.swt.events.ModifyEvent arg0)

Specified by:
  `modifyText` in interface `org.eclipse.swt.events.ModifyListener`

#### widgetDefaultSelected

    public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent arg0)

Specified by:
  `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

#### widgetSelected

    public void widgetSelected(org.eclipse.swt.events.SelectionEvent arg0)

Specified by:
  `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`